欢迎光临
我们一直在努力

OpenCore Legacy Patcher - 让你的苹果电脑强制升级 macOS 版本[macOS]

苹果于去年推出了 macOS Sonoma,但由于我的是 2017 年款的 MacBook Pro,没有相关的安全硬件,所以不在苹果的升级列表中。最近测试的几款软件都需要 macOS Sonoma 才能运行,那有什么办法能让我的电脑强制升级呢?我找到了 OpenCore Legacy Patcher 这个工具。

首先到这个页面查看你的设备是否支持 OpenCore Legacy Patcher 的使用,但其实大部分 2008 年以后的机器都是支持的。接着到它的 GitHub 发布页下载,我使用的是当前最新的 1.5 版本,我也在文末提供国内网盘的下载地址,它发布页面上有好几个文件,直接下载 OpenCore-Patcher.pkg 就可以了。

运行后会获得上图的界面,之前网上很多教程都要说制作引导盘系统盘等等的,但其实并不需要那么复杂。以防万一,我们先做好数据备份,下面就开始我们的升级之旅。

点击 Build and Install OpenCore,接着它会询问添加一些配置,因为 OpenCore 的实现原理是通过添加一些系统标识文件来欺骗更新程序,让它误以为我们是使用最新的硬件从而来获得更新支持。上面的添加速度很快,接着会询问我们是否安装,点击 Install to disk。

下一步是选择安装的硬盘,如果你只有一个硬盘那就直接点硬盘就可以了,如果你有多个硬盘就选当前系统所在的硬盘。

接着是选择引导区,选择默认的即可。

上面安装操作完成后,会弹出询问框问你是否重启,并提示你重启时需要按住 option 键进入启动选择界面。我们重启,在电脑黑屏后开始按住 option 键。

这时系统会出现两个启动选项,用键盘选择 EFI Boot 并确认。

系统启动后我们点开系统更新,发现已经可以现在最新的 macOS Sonoma 14.5 的更新提示了,直接点升级。

在一段更新等待后,经过好几次的重启,系统终于更新到 macOS Sonoma 了。但你会发现,怎么 Wi-Fi 好像没发用了,系统好像也有一点小问题?

这时我们再打开 OpenCore,点击右侧的 Post-Install Root Patch 按钮,再点击 Start Root Patching,为系统打上关键补丁。

重启后系统就一些正常了,使用下来暂时没遇到什么 bug 以及卡顿的情况,可以说是升级成功了。

 

下载地址:GitHub城通网盘(访问密码: 6995)来自反斗软件

WeChat
微信搜索「反斗软件」或扫描上方二维码关注我们,每天为你送上精选的限免信息,更便捷的限免信息获取方式,不定时举行有奖活动
赞(0)
0 0 投票数
文章评分
订阅评论
提醒
0 评论
内联反馈
查看所有评论
0
希望看到您的想法,请您发表评论x